% Fichier  fig_1_4.sch

/mm {2.835  mul} def
/cm {28.35  mul} def

/convrat 1 def
/arrowlgth 2.4 def

/unit {/convrat exch def  convrat dup scale
       0.3387 convrat div  setlinewidth} def

/rm {/nptfont exch convrat div def 
     /Times-Roman findfont nptfont scalefont setfont} def

/it {/nptfont exch convrat div def 
     /Times-Italic findfont nptfont scalefont setfont} def

/bf {/nptfont exch convrat div def 
     /Times-Bold findfont nptfont scalefont setfont} def

/symb {/nptfont exch convrat div def 
       /Symbol findfont nptfont scalefont setfont} def

/acc {/b exch def /a exch def
      currentpoint exch a show currentpoint pop dup 3 1 roll sub
      2 div 0.085 nptfont convrat mul mul sub 0 rmoveto b show exch moveto} def

/rotmem {currentpoint  /cpty exch def  /cptx exch def
         currentpoint translate  dup rotate  /angmem exch def} def

/rotrev {angmem neg rotate  cptx neg cpty neg translate
         cptx cpty moveto} def

/rotation {rotmem  cptx neg cpty neg translate  cptx cpty moveto} def

/beginwindow
  {/cmtr matrix currentmatrix def  currentdash currentlinewidth  grestore
   setlinewidth setdash  cmtr setmatrix  gsave} def

/setdashtype
  { [ [ ] [4 2] [3 1.5] [2 1] [0.4 1.5] [0.4 1] [6 1.5 0.75 1.5]
      [5 1 0.5 1] [4 0.75 0.25 0.75] [0 1] ] exch get  0 setdash} def
   
/hatch
  {dup cos 1724 convrat div mul /aa exch def  sin 1724 convrat div mul
   /bb exch def  /esp exch def  /nbpas 1724 convrat div esp abs div def
   /dxx bb neg nbpas div def  /dyy aa nbpas div def
   0 0 aa bb add 0.5 mul sub  /yy exch def
   aa bb sub 0.5 mul sub  /xx exch def
   gsave  closepath
   esp 0 gt {gsave  1 setgray fill  grestore} if
   clip  newpath  0.3387 convrat div  setlinewidth  [] 0 setdash
   0 1 nbpas {pop  /xx xx dxx add def  /yy yy dyy add def
              xx yy moveto  aa bb rlineto} for
   stroke grestore} def

/vector
  {rotmem  0 lineto  currentpoint  stroke  moveto  currentdash
   [] 0 setdash  /mmc {mm convrat div 2.4 div arrowlgth mul} def
   -2 mmc 1 mmc rmoveto 2 mmc -1 mmc rlineto -2 mmc -1 mmc rlineto  
   stroke  setdash  rotrev} def

/indent
  {rotmem  /hindent exch def  currentdash  [] 0 setdash
   currentpoint  hindent 0 moveto  hindent neg 0 lineto  stroke  moveto
   setdash  rotrev} def

/brack
  {rotmem  /hbrack exch def  currentdash  [] 0 setdash
   hbrack 4 div hbrack rmoveto  hbrack -4 div 0 rlineto
   0 hbrack -2 mul rlineto  hbrack 4 div 0 rlineto  stroke
   setdash  rotrev} def
   
/cross
  {rotmem  /wcross exch def  currentdash  [] 0 setdash
   wcross dup rmoveto  wcross -2 mul dup rlineto
   wcross 2 mul 0 rmoveto  wcross -2 mul wcross 2 mul rlineto
   stroke  setdash  rotrev} def

/disk
  {currentpoint currentpoint newpath
   5 -1 roll 0 360 arc fill moveto} def

/circle 
  {currentpoint currentpoint newpath
   5 -1 roll 0 360 arc stroke moveto} def

/rectangle 
  {currentpoint  newpath  moveto 
   dup 0 exch rlineto  exch 0 rlineto
   neg 0 exch rlineto  closepath} def

/ellipse
  {rotmem  /ang2 exch def  /ang1 exch def
   /bbb exch abs def  /aaa exch abs def
   currentpoint currentpoint translate  newpath
   aaa bbb 1E-15 add div sqrt dup dup 1 exch div  scale
   0 0  aaa bbb mul sqrt  ang1 ang2  arc
   dup 1 exch div exch scale
   exch neg  exch neg  translate  rotrev} def

/polygon
  {dup 0 exch 2 exch length 2 sub
       {/kk exch def
        dup dup  kk get  exch  kk 1 add get  lineto} for
        pop} def

/begincurve
  {/nn 0 def  /vecx 0 def  /vecy 0 def  /boolcurve true def
   /third 0.333333333 def  /twothird 0.666666667 def} def

/spline
  {/yy exch def  /xx exch def
   /nn nn 1 add def
   nn 1 eq
     {/xxp xx def /yyp yy def}
     {/dxx xx xxp sub def  /dyy yy yyp sub def
      dxx dup mul  dyy dup mul  add
      dup sqrt  /leng exch third mul def
      1E-15 add  dup
      dxx exch div  vecx exch  /vecx exch def  vecx add  /dxx exch def
      dyy exch div  vecy exch  /vecy exch def  vecy add  /dyy exch def
      nn 2 eq
        {/xxp xx def /yyp yy def /lengp leng def}
        {dxx dup mul  dyy dup mul  add  1E-15 add  sqrt  dup
         dxx exch div  /dxx exch def
         /xx2 xxp dxx lengp mul sub def
         dyy exch div  /dyy exch def
         /yy2 yyp dyy lengp mul sub def
         nn 3 eq boolcurve and
           {currentpoint third mul
            yyp twothird mul add  dyy lengp mul sub exch
            third mul xxp twothird mul add  dxx lengp mul sub exch
            xx2 yy2 xxp yyp curveto} if
         nn 3 gt
           {xx1 yy1  xx2 yy2  xxp yyp  curveto} if
         /xx1 xxp dxx leng mul add def
         /yy1 yyp dyy leng mul add def
         /xxp xx def  /yyp yy def  /lengp leng def}
           ifelse} ifelse } def

/pcurve
  {dup 0 exch 2 exch length 2 sub
       {/kk exch def
        dup dup  kk get  exch  kk 1 add get  spline} for} def

/piececurve  {pcurve  pop  currentpoint  stroke  moveto} def

/ecurve
  {xx1 yy1  currentpoint
   twothird mul  yyp third mul add  dyy lengp mul add  exch
   twothird mul  xxp third mul add  dxx lengp mul add  exch
   xxp yyp curveto} def

/endcurve {ecurve  stroke} def

/curve {begincurve  pcurve  pop  ecurve} def

/scurve {curve  currentpoint  stroke  moveto} def

/potatoe
  {begincurve  /boolcurve false def
   dup dup dup length 2 sub get  exch
   dup length 1 sub get  spline
   pcurve
   dup dup 0 get  exch 1 get  spline
   dup 2 get  exch 3 get  spline} def

/drawimage
  {/colstr exch def  /pixstr 80 string def
   0 1 16 {/kk exch def  colstr kk get
           48 sub  dup 10 ge {7 sub} if
           17 mul  255 exch sub  colstr exch kk exch put} for
   /dyy exch def  /dxx exch def
   /yy exch def  /xx exch def
   xx yy translate
   8 [ dxx 0 0 dyy 0 0 ]
   {{currentfile  pixstr readline pop length  /nn exch def
     /ll 0 def
     0 1 nn 1 sub {/kk exch def  pixstr kk get
                   48 sub  dup 0 ge
                   {dup 10 ge {7 sub} if
                    colstr exch get
                    pixstr exch ll exch put  /ll ll 1 add def}
                    {pop} ifelse} for
                    ll 0 gt {exit} if} loop
                    pixstr 0 ll getinterval } image
     xx neg yy neg translate} def


/rect {rectangle} def

/axis {vector} def

gsave
currentpoint translate
Resolution 72 div VResolution 72 div neg scale
1 mm unit /nbpt 12 def 
  0.000   0.000 translate 
gsave 
  5.000   5.000 moveto 
 70.000   0.000 vector 
 35.500   5.000 moveto 
 45.000  90.000 vector 
  5.000   5.000 moveto 
  0.452 setlinewidth 
newpath  53.000  31.000 moveto 
[  53.000  31.000    53.000  22.000    18.000  22.000    18.000  45.000 
   10.000  45.000    10.000  15.000    60.000  15.000    60.000  45.000
   53.000  45.000    53.000  37.000   ] polygon 
[  53.000  37.000    48.000  37.000    41.000  32.000    38.900  27.000 
   38.000  22.000   ] curve 
 44.000  22.000 lineto 
[  44.000  22.000    45.000  24.000    50.600  28.000    53.000  31.000 
  ] curve 
gsave closepath 
  0.930 setgray fill 
grestore stroke
3 setdashtype 
 44.000  22.000 moveto 
[  44.000  22.000    43.600  20.000    42.000  18.200    38.300  20.000 
   38.000  22.000   ] curve 
stroke
0 setdashtype  
 64.000  33.000 moveto 
 64.000  38.000   5.000 -90.000   0.000 arc stroke 
 69.000  38.000 moveto 
  5.000  90.000 vector 
grestore
grestore
